package io.gmss.fiscad.paylaods.response.restoration;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import io.gmss.fiscad.deserializer.LocalDateDeserializer;

import java.time.LocalDate;

public interface EnqueteUniteLogementPayLoad {
    public Long getIdBackend();

    public Long getExternalKey();

    public float getSurface();

    public int getNbrePiece();

    public int getNbreHabitant();

    public int getNbreMenage();

    public boolean getEnLocation();

    public float getMontantMensuelLoyer();

    public int getNbreMoisEnLocation();

    public float getMontantLocatifAnnuelDeclare();

    public float getSurfaceLouee();

    public boolean getSbee();

    public boolean getSoneb();

    public String getNumCompteurSbee();

    public String getNumCompteurSoneb();

    @JsonFormat(pattern = "dd-MM-yyyy")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    public LocalDate getDateDebutExcemption();

    @JsonFormat(pattern = "dd-MM-yyyy")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    public LocalDate getDateFinExcemption();

    public Long getPersonneId();

    public Long getUniteLogementId();

    public Long getEnqueteId();

    public Long getTerminalId();

    public Long getUserId();

}
